> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/networking/sdn/cloud-connect/modifycloudbandwidth.md).

# ModifyCloudBandwidth

## 1. API Description

This API (ModifyCloudBandwidth) is used to modify Cloud Connect Bandwidth

{% hint style="info" %}
**Notes**

* The available bandwidth tiers for a Cloud Connect can be queried via the [`DescribeCloudAvailableBandwidthTiers`](/api-reference/networking/sdn/cloud-connect/describecloudavailablebandwidthtiers.md) API.
* AWS and Oracle do not support bandwidth limit modification; Azure only supports bandwidth expansion.
* For a Private Connect's Cloud Connect, the **endpointId** obtained via [`DescribePrivateConnects`](/api-reference/networking/sdn/private-connect/describeprivateconnects.md) is the Cloud Connect ID.
* For a Cloud Router's Cloud Connect, the edge point's **portId** obtained via [`DescribeCloudRouters`](https://github.com/zenlayer/zenlayercloud-api-doc-en/tree/main/sdn/router/describe-cloud-routers.md) is the Cloud Connect ID.
* This is an asynchronous API, so the bandwidth change is not completed immediately. During this period the status of the Private Connect or Cloud Router the Cloud Connect belongs to will be **UPDATING**. For a Private Connect, the result can be checked via [`DescribePrivateConnects`](/api-reference/networking/sdn/private-connect/describeprivateconnects.md) -- if the status (privateConnectStatus) changes from **UPDATING** (modifying) to **AVAILABLE**, the bandwidth was updated successfully. For a Cloud Router, the result can be checked via [`DescribeCloudRouters`](https://github.com/zenlayer/zenlayercloud-api-doc-en/tree/main/sdn/router/describe-cloud-routers.md) -- if the status (cloudRouterStatus) changes from **UPDATING** (modifying) to **RUNNING**, the bandwidth was updated successfully.
* Do not perform any other operation on the Cloud Connect or its associated Private Connect / Cloud Router while the bandwidth change is in progress.
* Note: after modifying the Cloud Connect's bandwidth limit via this API, subsequent bandwidth changes via [`ModifyPrivateConnectBandwidth`](/api-reference/networking/sdn/private-connect/modifyprivateconnectbandwidth.md) or [`ModifyCloudRouterEdgePointBandwidth`](https://github.com/zenlayer/zenlayercloud-api-doc-en/tree/main/sdn/router/modifycloudrouteredgepointbandwidth.md) will only modify the backbone bandwidth and will no longer automatically modify the Cloud Connect's bandwidth.
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type    | Description                                                                                                              |
| -------------- | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------ |
| cloudPortId    | Yes      | String  | Cloud Connect ID to modify.                                                                                              |
| bandwidthMbps  | Yes      | Integer | <p>The bandwidth limit to set, in Mbps. Must match one of the available bandwidth tiers.</p><p>Value range: \[10, +)</p> |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Modify the Cloud Connect bandwidth to 100 Mbps.**

```json
POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyCloudBandwidth
<Common Request Params>

Request:
{
  "cloudPortId": "your-cloud-port-id",
  "bandwidthMbps": 100
}

Response:
{
  "requestId": "T98044459-95B2-477E-9A2F-00253A70CC6E",
  "response": {
    "requestId": "T98044459-95B2-477E-9A2F-00253A70CC6E"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |
